Package com.smartgwt.client.util

# Class AsyncOperationParams

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.util.AsyncOperationParams

All Implemented Interfaces:
  `HasHandlers`

Direct Known Subclasses:
  `AsyncDataBoundOperationParams`

public class AsyncOperationParams extends RefDataClass
Parameters to an asynchronous operation.

See Also:
  - `AsyncOperationContext`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AsyncOperationParams()`
  `AsyncOperationParams(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CancellationController`
  `getCancellationController()`
  A `CancellationController` that the asynchronous operation should look to for whether the operation is canceled.
  `static AsyncOperationParams`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `AsyncOperationParams`
  `setCancellationController(CancellationController cancellationController)`
  A `CancellationController` that the asynchronous operation should look to for whether the operation is canceled.

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AsyncOperationParams

    public AsyncOperationParams()

  - ### AsyncOperationParams

    public AsyncOperationParams(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static AsyncOperationParams getOrCreateRef(JavaScriptObject jsObj)

  - ### setCancellationController

    public AsyncOperationParams setCancellationController(CancellationController cancellationController)
    A `CancellationController` that the asynchronous operation should look to for whether the operation is canceled.

    This may be `null` if the invoker of the asynchronous operation does not need the ability to cancel. However, note that the `result type` may still be CANCELED; for example, the asynchronous operation may be self-canceling after a timeout.

    Implementations of asynchronous operations must treat this `CancellationController` as observer-only, and they cannot `cancel` it.

    Parameters:
      `cancellationController` - New cancellationController value. Default value is null
    Returns:
      `AsyncOperationParams` instance, for chaining setter calls

  - ### getCancellationController

    public CancellationController getCancellationController()
    A `CancellationController` that the asynchronous operation should look to for whether the operation is canceled.

    This may be `null` if the invoker of the asynchronous operation does not need the ability to cancel. However, note that the `result type` may still be CANCELED; for example, the asynchronous operation may be self-canceling after a timeout.

    Implementations of asynchronous operations must treat this `CancellationController` as observer-only, and they cannot `cancel` it.

    Returns:
      Current cancellationController value. Default value is null